using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using DDRHelper;
using MiniHttpd;

namespace DDRHelper.TalkBackPages
{
    class FavouritesIcon : IFile
    {
        public FavouritesIcon(string name, IDirectory parent)
        {
            this.name = name;
            this.parent = parent;
        }

        string name;
        IDirectory parent;

        public void OnFileRequested(HttpRequest request,
                                    IDirectory directory)
        {
            // Assign a MemoryStream to hold the response content.
            request.Response.ResponseContent = new MemoryStream();

            Program.appIcon.Save(request.Response.ResponseContent);
        }

        public string ContentType
        {
            get { return ContentTypes.GetExtensionType(".ico"); }
        }
        public string Name
        {
            get { return name; }
        }

        public IDirectory Parent
        {
            get { return parent; }
        }

        public void Dispose()
        {
        }
    }
}
