using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DDRHelper
{
    public partial class InputDialogue : Form
    {
        String NewValue;
        public InputDialogue(String PropertyName, String OldValue)
        {
            InitializeComponent();
            this.PropertyNameLabel.Text = PropertyName;
            this.CurrentValueLabel.Text = OldValue;
            this.NewValue = OldValue;
            this.NewValueInput.Text = this.NewValue;
        }

        private void OKBtn_Click(object sender, EventArgs e)
        {
            this.NewValue = this.NewValueInput.Text;
            this.Close();
        }

        public String getResult()
        {
            return NewValue;
        }

        private void CancelBtn_Click(object sender, EventArgs e)
        {
            this.NewValue = this.CurrentValueLabel.Text;
            this.Close();
        }
    }
}